MANPATH(1)

NAZWA
manpath - określa ścieżkę przeszukiwania stron podręcznika ekranowego

SKŁADNIA
manpath [-qgdc?V] [-m system[,...]] [-C plik]

OPIS
Jeżeli ustawiona jest zmienna $MANPATH, to manpath po prostu wyświetli jej zawartość i wyśle ostrzeżenie. W przeciwnym razie manpath określi odpowiednią hierarchię ścieżek poszukiwania stron podręcznika man i wyświetli wyniki. Ścieżka poszukiwań, w postaci listy rozdzielonych dwukropkami katalogów, określana jest przy pomocy informacji pozyskanej z pliku konfiguracyjnego man-db - (/etc/man_db.conf) oraz środowiska użytkownika.

OPCJE

-q, --quiet
    Nie wysyła ostrzeżeń.

-d, --debug
    Wyświetla informację diagnostyczną (debug).

-c, --catpath
    Tworzy ścieżkę catpath [do stron w postaci catman] zamiast manpath. Po ustaleniu ścieżki manpath, każdy jej element zamieniany jest na jego odpowiednik catpath.

-g, --global
    Tworzy ścieżkę manpath składającą się ze wszystkich ścieżek wymienionych jako globalne" w pliku konfiguracyjnym man-db.

-m system[,...], --systems=system[,...]
    Jeśli ten system ma dostęp do hierarchii stron man innego systemu operacyjnego, to można wykorzystać tę opcję do włączenia tych hierarchii do wyniku działania manpath. W celu włączenia hierarchii stron podręcznika ekranowego z systemu NewOS, należy użyć opcji -m NewOS. Podany system może być kombinacją oddzielonych przecinkami nazw systemów operacyjnych. Jeżeli chcemy włączyć hierarchię stron man macierzystego systemu operacyjnego, to musimy użyć man jako nazwy systemu w łańcuchu argumentów. Niniejsza opcja unieważnia ewentualne użycie zmiennej środowiska $SYSTEM.

-C plik, --config-file=plik
    Używa podanego pliku konfiguracyjnego użytkownika zamiast domyślnego ~/.manpath.

-?, --help
    Wyświetla komunikat pomocy i kończy pracę.

--usage
    Wyświetla krótki opis użycia programu i kończy pracę.

-V, --version
    Wyświetla informację o wersji.

ŚRODOWISKO

MANPATH
    Jeżeli ustawiona jest zmienna $MANPATH, to manpath wyświetli jej wartość zamiast określić ją na bieżąco. Jeżeli zmienna $MANPATH zaczyna się od dwukropka, to wartość tej zmiennej jest dodawana do listy pozyskanej z plików konfiguracyjnych. Jeżeli dwukropek umieszczono na końcu wartości tej zmiennej, to ta pozyskana lista ścieżek jest dodawana na koniec zmiennej. Jeżeli wartość tej zmiennej zawiera podwójny dwukropek (::), to pozyskana lista ścieżek jest wstawiana do środka wartości zmiennej, pomiędzy dwukropki.

SYSTEM
    Jeżeli ustawiona jest zmienna $SYSTEM, to ma to taki sam skutek, jak przekazanie jej wartości jako argumentu opcji -m.

PLIKI

/etc/man_db.conf
    Plik konfiguracyjny man-db.

ZOBACZ TAKŻE
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.